org.apache.solr.handler.admin

## Class ClusterStatus

- java.lang.Object
- - org.apache.solr.handler.admin.ClusterStatus

-     public class ClusterStatus
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterStatus(ZkStateReader zkStateReader, ZkNodeProps props)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `crossCheckReplicaStateWithLiveNodes(List<String> liveNodes, NamedList<Object> collectionProps)` Walks the tree of collection status to verify that any replicas not reporting a "down" status is on a live node, if any replicas reporting their status as "active" but the node is not live is marked as "down"; used by CLUSTERSTATUS.
    `void` | `getClusterStatus(NamedList results)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterStatus

          public ClusterStatus(ZkStateReader zkStateReader,
                               ZkNodeProps props)

  - ### Method Detail

    - #### getClusterStatus

          public void getClusterStatus(NamedList results)
                                throws org.apache.zookeeper.KeeperException,
                                       InterruptedException

      Throws:
        `org.apache.zookeeper.KeeperException`
        `InterruptedException`

    - #### crossCheckReplicaStateWithLiveNodes

          protected void crossCheckReplicaStateWithLiveNodes(List<String> liveNodes,
                                                             NamedList<Object> collectionProps)

      Walks the tree of collection status to verify that any replicas not reporting a "down" status is on a live node, if any replicas reporting their status as "active" but the node is not live is marked as "down"; used by CLUSTERSTATUS.
      Parameters:
        `liveNodes` - List of currently live node names.
        `collectionProps` - Map of collection status information pulled directly from ZooKeeper.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.